Bug 1689013 (CVE-2019-3871) - CVE-2019-3871 pdns: insufficient validation of data when building a HTTP request from a DNS query
Summary: CVE-2019-3871 pdns: insufficient validation of data when building a HTTP requ...
Status: CLOSED UPSTREAM
Alias: CVE-2019-3871
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20190318,repor...
Keywords: Security
Depends On: 1690252 1690253
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-14 22:34 UTC by Laura Pardo
Modified: 2019-06-10 10:50 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 10:50:54 UTC


Attachments (Terms of Use)

Description Laura Pardo 2019-03-14 22:34:24 UTC
A vulnerability was found in PowerDNS Authoritative Server before 4.0.7 and before 4.1.7. An insufficient validation of data coming from the user when building a HTTP request from a DNS query in the HTTP Connector of the Remote backend, allowing a remote user to cause a denial of service by making the server connect to an invalid endpoint, or possibly information disclosure by making the server connect to an internal endpoint and somehow extracting meaningful information about the response


Upstream bug:
https://github.com/PowerDNS/pdns/issues/7573

Upstream Patch:
https://github.com/PowerDNS/pdns/pull/7576

Comment 1 Dhananjay Arunesh 2019-03-19 07:08:12 UTC
External References:

https://doc.powerdns.com/authoritative/security-advisories/powerdns-advisory-2019-03.html

Comment 2 Dhananjay Arunesh 2019-03-19 07:10:16 UTC
Created pdns tracking bugs for this issue:

Affects: fedora-all [bug 1690252]

Comment 3 Dhananjay Arunesh 2019-03-19 07:10:40 UTC
Created pdns tracking bugs for this issue:

Affects: epel-all [bug 1690253]

Comment 4 Product Security DevOps Team 2019-06-10 10:50:54 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.